Avidemux 2.6 Scripting Reference: AudioOutput Class Reference

| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Types | Properties | List of all members
AudioOutput Class Reference

The AudioOutput class provides an interface for configuring the output of an audio track. More...

## Public Types
enum | AudioInputType { SourceVideo = 1, ExternalFile = 2 }
| Specifies the type of audio track that will be encoded. More...
enum | GainMode { NoGain = 0, AutomaticGain = 1, ManualGain = 2 }
| Gain mode. More...
enum | MixerMode { OriginalMix = 0, MonoMix = 1, StereoMix = 2, TwoFrontOneRearMix = 3, TwoFrontTwoRearMix = 4, ThreeFrontMix = 5, ThreeFrontOneRearMix = 6, ThreeFrontTwoRearMix = 7, ThreeFrontTwoRearLfeMix = 8, DolbyProLogicMix = 9, DolbyProLogicIIMix = 10 }
| Specifies the audio mixing mode. More...
enum | StretchAudioMode { NoStretch = 0, FilmToPal = 1, PalToFilm = 2 }
| Specifies the mode for stretching audio. More...

## Properties
Number | audioInputFile
| Gets or sets the path of the external audio file if an external file is to be encoded.
Number | audioInputIndex
| Gets or sets the zero-based index of an audio track in the currently opened video if an internal track is to be encoded.
AudioInputType | audioInputType
| Returns the type of audio track that will be encoded.
Boolean | drcEnabled
| Gets or sets whether Dynamic Range Compression will be applied to the input audio during encoding.
AudioEncoder | encoder
| Gets or sets the encoder that will be used on the input audio.
GainMode | gainMode
| Gets or sets the gain mode of the Gain audio filter.
Number | gainValue
| Gets or sets the level of gain adjustment (in decibels) that will be applied to the input audio during encoding.
MixerMode | mixer
| Gets or sets the mixer that will be applied to the input audio during encoding.
Number | samplingRate
| Gets or sets the sampling rate (in hertz) for resampling the input audio.
StretchAudioMode | stretchAudioMode
| Shortens or extends the encoded audio relative to the source audio.
Number | timeShift
| Shifts (in milliseconds) the input audio forward (positive number) or backward (negative number).

## Detailed Description

The AudioOutput class provides an interface for configuring the output of an audio track.

Examples:
  TranscodeDirectory.admjs.

## Member Enumeration Documentation

enum AudioInputType

Specifies the type of audio track that will be encoded.

Enumerator:

  SourceVideo | An audio track from the currently open video will be encoded
  ExternalFile | An external audio file will be encoded

enum GainMode

Gain mode.

Enumerator:

  NoGain | No gain
  AutomaticGain | Automatic gain (maximum -3dB)
  ManualGain | Manual gain

enum MixerMode

Specifies the audio mixing mode.

Enumerator:

  OriginalMix | No remixing of audio
  MonoMix | Mono mix
  StereoMix | Stereo mix
  TwoFrontOneRearMix | Stereo front and rear-centre mix
  TwoFrontTwoRearMix | Stereo front and stereo rear mix
  ThreeFrontMix | Stereo front and centre mix
  ThreeFrontOneRearMix | Stereo front, centre and rear-centre mix
  ThreeFrontTwoRearMix | 5.0 channel mix
  ThreeFrontTwoRearLfeMix | 5.1 channel mix
  DolbyProLogicMix | Dolby Pro Logic mix
  DolbyProLogicIIMix | Doly Pro Logic II mix

Examples:
  TranscodeDirectory.admjs.

enum StretchAudioMode

Specifies the mode for stretching audio.

Enumerator:

  NoStretch | No audio stretching
  FilmToPal | Shrinks audio from a 25fps video to 23.976fps
  PalToFilm | Stretches audio from a 23.976fps video to 25fps

## Property Documentation

Number audioInputFile
| readwrite

Gets or sets the path of the external audio file if an external file is to be encoded.

See Also
  audioInputType

Number audioInputIndex
| readwrite

Gets or sets the zero-based index of an audio track in the currently opened video if an internal track is to be encoded.

See Also
  audioInputType

AudioInputType audioInputType
| read

Returns the type of audio track that will be encoded.

See Also
  audioInputFile and audioInputIndex

GainMode gainMode
| readwrite

Gets or sets the gain mode of the Gain audio filter.

See Also
  gainValue

Number gainValue
| readwrite

Gets or sets the level of gain adjustment (in decibels) that will be applied to the input audio during encoding.

The Gain audio filter amplifies (or attenuates) the sound level of the input audio. Setting this property will automatically set AudioOutput.gainMode to AudioOutput::ManualGain.

See Also
  gainMode

Number samplingRate
| readwrite

Gets or sets the sampling rate (in hertz) for resampling the input audio.

A value of zero indicates that resampling is disabled.